{% extends 'base.html.twig' %}

{% block title %}Campaign{% endblock %}

{% block body %}

    <div class="parallax-container valign-wrapper">
        <div class="section no-pad-bot">
            <div class="container">
                <h1 class="header center white-text light">{{ campaign.title }}</h1>
                <div class="row center">
                    <h5 class="header col s12 light">- Organisée par : Nom de l'auteur -</h5>
                </div>
            </div>
        </div>
        <div class="parallax"><img src="/assets/images/8.jpg" alt="{{ campaign.title }}"></div>
    </div>

    <div class="container">
        <div class="section">
            <div class="row">
                <div class="col s12 center">
                    <h4>Précisez vos dépenses en quelques secondes</h4>
                </div>
            </div>
            <!-- Form Section -->
            <div class="card">
                <div class="card-content">
                    <div class="row">

                        <form action="{{ path('spending_new') }}" method="post" id="payment-form">
                            <h5 class="center">Votre identité</h5>
                            <input type='hidden' name='campaign_id' value='{{ campaign.id }}'>
                            <div class="input-field col s12 l6">
                                <input id="email" type="email" name='email' class="validate" required="required">
                                <label for="email">Votre Email</label>
                            </div>
                            <div class="input-field col s12 l6">
                                <input id="name" type="text" name='name' class="validate" required="required">
                                <label for="name">Votre Name</label>
                            </div>
                            <div class="input-field col s12 l6">
                                <input id="mount" type="number" name='amount' class="validate" value="{{ amount_spend_participant|default(NULL) }}" required="required">
                                <label for="mount">Votre dépense</label>
                            </div>
                            
                            <div class="input-field col s12 l6">
                                <input id="label" type="text" name='label' class="validate" required="required">
                                <label for="label">Décription de votre dépense</label>
                            </div>
                            <div class="clearfix"></div>
                            <p>
                                <label>
                                    <input type="checkbox"/>
                                    <span>Masquer mon identité auprès des autres participants</span>
                                </label>
                            </p>
                            <p>
                                <label>
                                    <input type="checkbox"/>
                                    <span>Masquer le montant de ma participation auprès des autres participants</span>
                                </label>
                            </p>

                            {# <div class="input-field col s12">
                                <input id="card_name" type="text" class="validate">
                                <label for="card_name">Nom sur la carte</label>
                            </div>
                            <div class="input-field col s12">
                                <input id="card_number" type="text" class="validate">
                                <label for="card_number">Numéro de la carte</label>
                            </div>
                            <div class="input-field col s12 l8">
                                <input id="card_expiration_date" type="date" class="validate">
                                <label for="card_expiration_date">Date d'expiration</label>
                            </div>
                            <div class="input-field col s12 l4">
                                <input id="card_cvv" type="text" class="validate">
                                <label for="card_cvv">CVV</label>
                            </div> #}
                            <div class="input-field col s12 l6">
                                <a href="{{ path('campaign_show', {'id' : campaign.id }) }}" class="btn btn-large waves-effect waves-light grey col s12">Annuler</a>
                            </div>
                            <div class="input-field col s12 l6">
                                <button class="btn btn-large waves-effect waves-light pink lighten-1 col s12" type="submit" name="action">
                                    Participer
                                    <i class="material-icons right">euro_symbol</i>
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="section">
            <div class="row">
                <div class="col s12 center">
                    <h4>Comment ça marche ?</h4>
                </div>
            </div>
            <!-- Icon Section -->
            <div class="row">
                <div class="col s12 m4">
                    <div class="icon-block center">
                        <div class="btn-large btn-floating white">
                            <i class="material-icons teal-text">create</i>
                        </div>
                        <h5 class="center">Créez</h5>
                        <p class="light">et personnalisez votre campagne commune en 30 secondes !</p>
                    </div>
                </div>

                <div class="col s12 m4">
                    <div class="icon-block center">
                        <div class="btn-large btn-floating white">
                            <i class="material-icons teal-text">wc</i>
                        </div>
                        <h5 class="center">Invitez</h5>
                        <p class="light">vos amis en utilisant les réseaux sociaux, mail, etc.</p>
                    </div>
                </div>

                <div class="col s12 m4">
                    <div class="icon-block center">
                        <div class="btn-large btn-floating white">
                            <i class="material-icons teal-text">shopping_cart</i>
                        </div>
                        <h5 class="center">Collectez</h5>
                        <p class="light">et utilisez l'argent comme bon vous semble avec vos amis.</p>
                    </div>
                </div>
            </div>

        </div>
    </div>

{% endblock %}